cd /data/openpilot/shell

while true
do

    nodejs watcher.js

    # Get free space on /data in GB
    free_space=$(df -BG /data | tail -n 1 | awk '{print $4}' | sed 's/G//')

    # Check if free space is less than 10GB
    if [ "$free_space" -lt 10 ]; then
        echo "Less than 10GB of free space on /data. Exiting."
        exit 1
    fi

    echo crashed, waiting 30 seconds
    sleep 30

done
